// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
#ifndef CSCG4ExEventActionMessenger_h
#define CSCG4ExEventActionMessenger_h 1

class CSCG4ExEventAction;
class G4UIcmdWithAnInteger;

#include "G4UImessenger.hh"
#include "globals.hh"

class CSCG4ExEventActionMessenger: public G4UImessenger
{
  public:
    CSCG4ExEventActionMessenger(CSCG4ExEventAction* mpga);
    ~CSCG4ExEventActionMessenger();
    
  public:
    void SetNewValue(G4UIcommand * command,G4String newValues);
    G4String GetCurrentValue(G4UIcommand * command);

  private:
    CSCG4ExEventAction* target;
    
  private: //commands
    G4UIcmdWithAnInteger*  verboseCmd;
    
};

#endif


