// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
#ifndef CSCG4ExMagneticFieldMessenger_h
#define CSCG4ExMagneticFieldMessenger_h 1

class CSCG4ExMagneticField;
class G4UIcmdWithADoubleAndUnit;

#include "G4UImessenger.hh"
#include "globals.hh"

class CSCG4ExMagneticFieldMessenger: public G4UImessenger
{
  public:
    CSCG4ExMagneticFieldMessenger(CSCG4ExMagneticField* mpga);
    ~CSCG4ExMagneticFieldMessenger();
    
  public:
    void SetNewValue(G4UIcommand * command,G4String newValues);
    G4String GetCurrentValue(G4UIcommand * command);

  private:
    CSCG4ExMagneticField * target;
    
    G4UIcmdWithADoubleAndUnit*  fieldCmd;
    
};

#endif


