// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//

#ifndef CSCG4ExCellParameterisation_H
#define CSCG4ExCellParameterisation_H 1

#include "globals.hh"
#include "G4VPVParameterisation.hh"
class G4VPhysicalVolume;

class CSCG4ExCellParameterisation : public G4VPVParameterisation
{ 
  public:
    CSCG4ExCellParameterisation();
    virtual ~CSCG4ExCellParameterisation();
    virtual void ComputeTransformation
                   (const G4int copyNo,G4VPhysicalVolume *physVol) const;

  private:
    G4double xCell[80];
    G4double yCell[80];
};

#endif


