// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//

#include "CSCG4ExTrackingAction.hh"
#include "G4TrackingManager.hh"
#include "G4Track.hh"

CSCG4ExTrackingAction::CSCG4ExTrackingAction()
{;}

CSCG4ExTrackingAction::~CSCG4ExTrackingAction()
{;}

void CSCG4ExTrackingAction::PreUserTrackingAction(const G4Track* aTrack)
{
  // Create trajectory only for primaries
  if(aTrack->GetParentID()==0)
  { fpTrackingManager->SetStoreTrajectory(true); }
  else
  { fpTrackingManager->SetStoreTrajectory(false); }
}


